<?php
/************************************************************************/
/* Maximus CMS: Web Portal System                                       */
/* ==============================                                       */
/*                                                                      */
/* Copyright (c) 2002 - 2006                                            */
/* http://www.php-maximus.fr                                            */
/* dev@php-maximus.org                                                  */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/************************************************************************/
/* Based on PHP-NUKE: Web Portal System                                 */
/************************************************************************/
defined('MAXIMUS') or die ('Access denied themes phpnuke MAXIMUS directly...');
//compatibility
function ads($num) {
}

function Max_OpenTable() {
OpenTable();
}

function Max_CloseTable() {
CloseTable();
}

function Max_OpenTable2() {
OpenTable2();
}

function Max_CloseTable2() {
CloseTable2();
}

function title($text) {
	OpenTable();
	echo "<center><font class='title'>".stripslashes($text)."</font></center>";
	CloseTable();
	br('1');
}

if (!function_exists('themeleftbox')) {
	function themeleftbox($title, $content) {
		themesidebox($title, $content);
	}
}

if (!function_exists('themerightbox')) {
	function themerightbox($title, $content) {
		themesidebox($title, $content);
	}
}

if (!function_exists('themecenterbox')) {
	function themecenterbox($title, $content) {
	Global $ThemeSel;
	if (file_exists("themes/$ThemeSel/blockscenter.html")) {
   	 $tmpl_file = "themes/$ThemeSel/blockscenter.html";
   	 $thefile = implode("", file($tmpl_file));
    	 $thefile = addslashes($thefile);
    	 $thefile = "\$r_file=\"".$thefile."\";";
    	 eval("$thefile");
   	 print $r_file;
	} else {
	OpenTable();
	echo "<center><font class='option'><b>$title</b></font></center><br />"
	    ."$content";
	CloseTable();
	br('1');
		}
	}
}

if (!function_exists('themecenterbox_low')) {
function themecenterbox_low($title, $content) {
Global $ThemeSel;
if (file_exists("themes/$ThemeSel/blockscenter.html")) {
    $tmpl_file = "themes/$ThemeSel/blockscenter.html";
    $thefile = implode("", file($tmpl_file));
    $thefile = addslashes($thefile);
    $thefile = "\$r_file=\"".$thefile."\";";
    eval("$thefile");
    print $r_file;
} else {
	OpenTable();
	echo "<center><font class='option'><b>$title</b></font></center><br />"
	    ."$content";
	CloseTable();
	br('1');
}
}
}